# NvElementProfiler::NvElementProfiler::NvElementProfilerDataInternal Struct Reference

Inheritance diagram for NvElementProfiler::NvElementProfiler::NvElementProfilerDataInternal:

List of all members.

## Public Attributes

struct timeval | start_time
| Wall-clock time at which the first unit was processed.
struct timeval | stop_time
| Wall-clock time at which the latest unit was processed.
struct timeval | accumulated_time
| Total accumulated time.
uint64_t | total_latency
| Total accumulated latency for all units, in microseconds.

## Detailed Description

Definition at line 157 of file NvElementProfiler.h.

## Member Data Documentation

struct timeval NvElementProfiler::NvElementProfiler::NvElementProfilerDataInternal::accumulated_time`[read]`

Total accumulated time.

When performance measurement is restarted start_time and stop_time will be reset. This field is used to accumulate time before resetting.

Definition at line 168 of file NvElementProfiler.h.

struct timeval NvElementProfiler::NvElementProfiler::NvElementProfilerDataInternal::start_time`[read]`

Wall-clock time at which the first unit was processed.

Definition at line 159 of file NvElementProfiler.h.

struct timeval NvElementProfiler::NvElementProfiler::NvElementProfilerDataInternal::stop_time`[read]`

Wall-clock time at which the latest unit was processed.

Definition at line 162 of file NvElementProfiler.h.

uint64_t NvElementProfiler::NvElementProfiler::NvElementProfilerDataInternal::total_latency

Total accumulated latency for all units, in microseconds.

Definition at line 171 of file NvElementProfiler.h.

The documentation for this struct was generated from the following file:

- include/NvElementProfiler.h